import {request} from '@/utils/request.js'

// 获取用户钱包信息
// wallet/getWallet 
export function getWallet(data) {
	return request({
		url: '/rewardserver/wallet/getWallet ',
		data
	})
}

// 即将到账详情
// /wallet/receiptsDetail
export function receiptsDetail(data) {
	return request({
		url: '/rewardserver/wallet/receiptsDetail?receiptsId='+data.receiptsId,
	})
}

// 即将到账
// /wallet/listByWallet
export function listByWallet(data) {
	return request({
		url: '/rewardserver/wallet/listByWallet',
		data
	})
}

// 提现列表
// /wallet/queryTransfer
export function queryTransfer(data) {
	return request({
		url: '/rewardserver/wallet/queryTransfer',
		method:"post",
		data
	})
}

// 提现
// /wallet/transfer
export function transfer(data) {
	return request({
		url: '/rewardserver/wallet/transfer',
		method:"post",
		data
	})
}

// 获取openId
// ​/wallet​/getOpenId
export function getOpenId({jscode,platformType}) {
	return request({
		url: '/rewardserver/wallet/getOpenId?jscode='+jscode+'&platformType='+platformType,
	})
}
